/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../display/spritebatch.h"
#include "../../display/tileset.h"
#include "../map/tile.h"
#include "../map/chunk.h"

#define ENTITY_COMMON_MOVE_SPEED 3

void entityCommonMoveUpdate(entityid_t id, entity_t *entity);
void entityCommonMove(entityid_t id, entity_t *entity, int32_t x, int32_t y, int32_t z);
void entityCommonRender(entityid_t id, entity_t *entity);
void entityCommonTurn(entityid_t id, entity_t *entity, uint8_t dir);